import React, { ReactNode } from 'react';
import { StatusEnum } from './common';
export type InputElementType<Value> = {
    disabled?: boolean;
    label?: string | ReactNode;
    name: string;
    onBlur?: (value: Value | undefined, e: React.FocusEvent) => void;
    onChange?: (value: Value | undefined, e: React.MouseEvent | React.ChangeEvent | null) => void;
    onClick?: (value: Value, e: React.MouseEvent) => void;
    onFocus?: (value: Value, e: React.FocusEvent) => void;
    status?: StatusEnum;
    value?: Value;
};
